SMSSiteBoundaries (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSSiteBoundaries interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSSiteBoundaries

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMSSiteBoundaries

extends LogicalElement

This class will show a boundaries for a site server.

Naming Rules:
  2="SMSSite,ADSite" 1="SMSSite,ipRange" 0="SMSSite,ipSubnets"
Persistable:
  true
Table Name:
  SMSBOUNDARIES
Display Name:
  type

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getADSite()`
`java.lang.String` | `getIpRange()` Collection of IP range boundaries
`java.lang.String` | `getIpSubnets()` IP subnet boundaries
`SMSSiteServer` | `getSMSSite()`
`java.lang.String` | `getType()` Type of SiteBoundaries
`boolean` | `hasADSite()`
`boolean` | `hasIpRange()`
`boolean` | `hasIpSubnets()`
`boolean` | `hasSMSSite()`
`boolean` | `hasType()`
`void` | `setADSite(java.lang.String x)`
`void` | `setIpRange(java.lang.String x)`
`void` | `setIpSubnets(java.lang.String x)`
`void` | `setSMSSite(SMSSiteServer x)`
`void` | `setType(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getADSite

    java.lang.String getADSite()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setADSite

    void setADSite(java.lang.String x)

### hasADSite

    boolean hasADSite()

### getIpSubnets

    java.lang.String getIpSubnets()
                                  throws AttributeNotSetException

  IP subnet boundaries

  Throws:
    `AttributeNotSetException`

### setIpSubnets

    void setIpSubnets(java.lang.String x)

### hasIpSubnets

    boolean hasIpSubnets()

### getIpRange

    java.lang.String getIpRange()
                                throws AttributeNotSetException

  Collection of IP range boundaries

  Throws:
    `AttributeNotSetException`

### setIpRange

    void setIpRange(java.lang.String x)

### hasIpRange

    boolean hasIpRange()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Type of SiteBoundaries

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String x)

### hasType

    boolean hasType()

### getSMSSite

    SMSSiteServer getSMSSite()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setSMSSite

    void setSMSSite(SMSSiteServer x)

### hasSMSSite

    boolean hasSMSSite()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD